# Scripts

1. [Description](#description)
2. [Scripts list](#scripts_list)
    * [Download Debian](#download_debian.sh)
    * [Download Ubuntu](#dowload_ubuntu.sh)
    * [Make Debian Initrd with Firmware](#make_debian_initrd_with_firmware.sh)

## Description
Set of scripts to download and generate necessary files to allow differents GNU/Linux distributions to boot through the network.

## Scripts list

### download_debian.sh
The script will provide netboot installers for all Debian (>=Stable) for both **i386** and **amd64** :
  * Store the files to **/var/lib/tftpboot** (default).
  * Download Debian Linux kernel and initrd files for all Debian distributions (Stable : **Jessie**; Testing : **Stretch**; Unstable : **Sid**) and for **i386** and **amd64** architectures.
  * Offer an example menu file to use with a TFTP server (default_path/installer/debian/menu.cfg.example).

### download_ubuntu.sh
The script will provide netboot installers for the latest LTS and latest advanced Ubuntu distribution for both **i386** and **amd64** :
  * Store the files to **/var/lib/tftpboot** (default).
  * Download Ubuntu Linux kernel and initrd files for the two lasts Ubuntu distributions (LTS-16.04 : **xenial**; 15.10 : **wily**) and for **i386** and **amd64** architectures.
  * Make a symlink to access to the LTS (default_path/installer/ubuntu/lts) instead of it's codename.

### make_debian_initrd_with_firmware.sh
The script will provide Debian's netboot installers with **additionnals firmwares** for all Debian (>=Stable) for **amd64** only :
  * Store the files to **/var/lib/tftpboot** (default).
  * Download Debian's initrd files for all Debian distributions (Stable : **Jessie**; Testing : **Stretch**; Unstable : **Sid**) for **amd64** architecture only.
  * Download additionnals firmwares :
    * bnx2 : For Broadcom NetXtremeII network adapters.
    * linux-nonfree : For Tigon network adapters.
  * Extract initrd and firmwares packages to build a new initrd.
